Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataCollectionEvent

    java.lang.Object
      java.util.EventObject
          ru.biosoft.access.DataCollectionEvent

All Implemented Interfaces:
  java.io.Serializable

public class DataCollectionEvent
extends java.util.EventObject

Implements event change in a collection .

See Also:
  Serialized Form

Field Summary
`static int` | `ELEMENT_ADDED` Indicates, that in a collection the new element was added.
`static int` | `ELEMENT_CHANGED` Indicates, that the element of a collection was modified.
`static int` | `ELEMENT_REMOVED` Indicates, that the element of a collection was removed
`static int` | `ELEMENT_WILL_ADD` Indicates, that new element will be added into collection.
`static int` | `ELEMENT_WILL_CHANGE` Indicates, that element will be changed.
`static int` | `ELEMENT_WILL_REMOVE` Indicates, that element will be removed.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DataCollectionEvent(java.lang.Object source, int type, DataCollection owner, java.lang.String name, DataCollectionEvent primaryEvent)` Constructs the DataCollectionEvent object.

Method Summary
`DataElement` | `getDataElement()`
`java.lang.String` | `getDataElementName()` Gets a data element, which was added,modified or removed.
`DataCollection` | `getOwner()`
`DataCollectionEvent` | `getPrimaryEvent()`
`int` | `getType()` Gets the type of event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENT_WILL_ADD

    public static final int ELEMENT_WILL_ADD

  Indicates, that new element will be added into collection.

  See Also:
    Constant Field Values

### ELEMENT_WILL_CHANGE

    public static final int ELEMENT_WILL_CHANGE

  Indicates, that element will be changed.

  See Also:
    Constant Field Values

### ELEMENT_WILL_REMOVE

    public static final int ELEMENT_WILL_REMOVE

  Indicates, that element will be removed.

  See Also:
    Constant Field Values

### ELEMENT_ADDED

    public static final int ELEMENT_ADDED

  Indicates, that in a collection the new element was added.

  See Also:
    Constant Field Values

### ELEMENT_CHANGED

    public static final int ELEMENT_CHANGED

  Indicates, that the element of a collection was modified.

  See Also:
    Constant Field Values

### ELEMENT_REMOVED

    public static final int ELEMENT_REMOVED

  Indicates, that the element of a collection was removed

  See Also:
    Constant Field Values

Constructor Detail

### DataCollectionEvent

    public DataCollectionEvent(java.lang.Object source,
                               int type,
                               DataCollection owner,
                               java.lang.String name,
                               DataCollectionEvent primaryEvent)

  Constructs the DataCollectionEvent object.

Parameters:
  `source` - The source which has caused events
  `type` -
  - `ELEMENT_CHANGED`
  - `ELEMENT_ADDED`
  - `ELEMENT_REMOVED`

Method Detail

### getType

    public int getType()

  Gets the type of event. Possible values:
  - `ELEMENT_ADDED`
  - `ELEMENT_CHANGED`
  - `ELEMENT_REMOVED`

  Returns:
    type of event

### getDataElementName

    public java.lang.String getDataElementName()

  Gets a data element, which was added,modified or removed.

  Returns:
    data element

### getOwner

    public DataCollection getOwner()

### getDataElement

    public DataElement getDataElement()

  Pendung:
    high error processing

### getPrimaryEvent

    public DataCollectionEvent getPrimaryEvent()

  To do:
    comment

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.